Subject: Re: [EGIT PATCH 21/20] Make isBetterDeltaReuseLoader() static in PackWriter

From: Marek Zawirski <[email-masked]>
Date: Thu, 19 Jun 2008 18:26:59 +0200

Robin Rosenberg wrote:
> tisdagen den 17 juni 2008 23.28.54 skrev Marek Zawirski:
>> Implementation was already static, it's just a fix for clarity and
>> potential speed-up.
>>
>> Reported-by: Shawn O. Pearce <[email-masked]>
>> Signed-off-by: Marek Zawirski <[email-masked]>
>> ---
>> It could be squashed with patch 19/20. I can clean up this mess, adding 
>> also Shawn's patch - just let me know what is preferred way (squash
>> commits, commits on top?).
> 
> If the code is already merged then patch on top, else squashing or rebase,
> unless you feel there is a reason not to. We can pretend it was right from
> the start :)  

So let's pretend that...
I have squashed these 2 additional patches (Shawn's improvement for 
reverse index and my minor fix) into appropriate commits. "packwriter" 
branch was updated (non fast-forward):
http://repo.or.cz/w/egit/zawir.git?a=shortlog;h=refs/heads/packwriter

 > I see no educational value in having a separate patch in this case.

The only educational value was to type Reported-by on my own ;)

-- 
Marek Zawirski [zawir]
[email-masked]